@echo off
@rem -----------------------------------------------
@rem   OS/2 v2.1 Installation Script for CL-GD62x5
@rem -----------------------------------------------

@rem argument %1 is the destination drive letter

@set o_path=%path%
@set path=%1:\os2;%1:\os2\install;%path%

@if "%1"=="" goto usage

if %1. == A. goto baddrive
if %1. == B. goto baddrive
if %1. == D. goto okdrive
if %1. == E. goto okdrive
if %1. == F. goto okdrive
if %1. == G. goto okdrive
if %1. == H. goto okdrive
if %1. == I. goto okdrive
if %1. == J. goto okdrive
if %1. == K. goto okdrive
if %1. == L. goto okdrive
if %1. == M. goto okdrive
if %1. == N. goto okdrive
if %1. == O. goto okdrive
if %1. == P. goto okdrive
if %1. == Q. goto okdrive
if %1. == R. goto okdrive
if %1. == S. goto okdrive
if %1. == T. goto okdrive
if %1. == U. goto okdrive
if %1. == V. goto okdrive
if %1. == W. goto okdrive
if %1. == X. goto okdrive
if %1. == Y. goto okdrive
if %1. == Z. goto okdrive
if %1. == a. goto baddrive
if %1. == b. goto baddrive
if %1. == c. goto okdrive
if %1. == d. goto okdrive
if %1. == e. goto okdrive
if %1. == f. goto okdrive
if %1. == g. goto okdrive
if %1. == h. goto okdrive
if %1. == i. goto okdrive
if %1. == j. goto okdrive
if %1. == k. goto okdrive
if %1. == l. goto okdrive
if %1. == m. goto okdrive
if %1. == n. goto okdrive
if %1. == o. goto okdrive
if %1. == p. goto okdrive
if %1. == q. goto okdrive
if %1. == r. goto okdrive
if %1. == s. goto okdrive
if %1. == t. goto okdrive
if %1. == u. goto okdrive
if %1. == v. goto okdrive
if %1. == w. goto okdrive
if %1. == x. goto okdrive
if %1. == y. goto okdrive
if %1. == z. goto okdrive

:usage
@echo *------------------------------------------------------------------*
@echo * Cirrus Logic SVGA installation for OS/2 2.1...                   *
@echo *==================================================================*
@echo *                                                                  *
@echo * Please specify the drive letter for the files to be copied to... *
@echo *                                                                  *
@echo * usage:   clinst21 [destination drive letter]                     *
@echo * example: clinst21 C                                              *
@echo * meaning: install Cirrus Logic driver on drive C, the OS/2 drive  *
@echo *                                                                  *
@echo *------------------------------------------------------------------*
@goto home

:okdrive
@echo -----------------------------------------------
@echo   OS/2 v2.1 Installation Script for CL-GD62x5
@echo -----------------------------------------------
@copy 	cl62x5.dsc %1:\os2\install >nul
@copy 	svga.exe %1:\os2 >nul
@attrib %1:\os2\screen01.sys -r
@attrib %1:\psfonts\*.pfb -r
@attrib %1:\psfonts\*.pfb +a
@del %1:\os2\*.pmi >nul
@dspinstl

@echo -
@echo - Please shutdown and reboot the system for the newly
@echo - installed drivers to take effect . . .
@echo -
@goto home
@goto end

:baddrive
@echo -
@echo - ERROR -- Cannot install to drive %1:
@echo -

:home
@set path=%o_path%
@set o_path=
